<script>
import simplebar from "simplebar-vue";
import config from "../config";

export default {
    components: { simplebar },
    data() {
        return {
            config: config
        };
    },
    methods: {
        toggleMenu() {
            this.$parent.toggleMenu();
        },
        toggleRightSidebar() {
            this.$parent.toggleRightSidebar();
        },
        initFullScreen() {
            document.body.classList.toggle("fullscreen-enable");
            if (
                !document.fullscreenElement &&
        /* alternative standard method */ !document.mozFullScreenElement &&
                !document.webkitFullscreenElement
            ) {
                // current working methods
                if (document.documentElement.requestFullscreen) {
                    document.documentElement.requestFullscreen();
                } else if (document.documentElement.mozRequestFullScreen) {
                    document.documentElement.mozRequestFullScreen();
                } else if (document.documentElement.webkitRequestFullscreen) {
                    document.documentElement.webkitRequestFullscreen(
                        Element.ALLOW_KEYBOARD_INPUT
                    );
                }
            } else {
                if (document.cancelFullScreen) {
                    document.cancelFullScreen();
                } else if (document.mozCancelFullScreen) {
                    document.mozCancelFullScreen();
                } else if (document.webkitCancelFullScreen) {
                    document.webkitCancelFullScreen();
                }
            }
        }
    },
};
</script>

<template>
     <header id="page-topbar">
    <div class="navbar-header">
      <div class="d-flex">
        <!-- LOGO -->
        <div class="navbar-brand-box navbar-brand-m">
            <a href="#" class="logo logo-dark"  v-if="$auth.setting">
                <span class="logo-sm">
                    <img :src="config.appurl + 'food_flat_icon_16904421299610.png'" alt height="22" />
                </span>
                <span class="logo-lg">
                    <img :src="config.appurl + 'food_logo_1691499050988.png'" alt height="17" />
                </span>
                </a>

                <a href="#" class="logo logo-light">
                <span class="logo-sm">
                    <img :src="config.appurl + 'food_flat_icon_16904421299610.png'" @error="replaceByDefault" alt height="22" />
                </span>
                <span class="logo-lg">
                    <img :src="config.appurl + 'food_logo_1691499050988.png'" alt height="17" />
                </span>
            </a>
        </div>

      </div>
    </div>
  </header>
</template>

<style scoped>
.header-menu {
    padding-top: 7px;
}

.header-menu i {
    font-size: 22px;
}

.header-menu .dropdown-icon-item:hover {
    border-color: #ffffff;
}

body[data-topbar=dark] .header-menu .dropdown-icon-item {
    color: #e9ecef;
}

body[data-topbar=dark] .header-menu .dropdown-icon-item:hover {
    border-color: #000;
}
</style>